    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2006, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------
    028     * Values.java
    029     * -----------
    030     * (C) Copyright 2001-2006, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: Values.java,v 1.2.2.2 2006/07/26 12:15:52 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 08-Nov-2001 : Version 1 (DG);
    040     * 23-Oct-2002 : Renamed getValueCount --> getItemCount (DG);#
    041     * ------------- JFREECHART 1.0.0 ---------------------------------------------
    042     * 02-May-2006 : Updated API docs (DG);
    043     *
    044     */
    045
    046    package org.jfree.data;
    047
    048    /**
    049     * An interface through which (single-dimension) data values can be accessed.
    050     */
    051    public interface Values {
    052
    053        /**
    054         * Returns the number of items (values) in the collection.
    055         *
    056         * @return The item count (possibly zero).
    057         */
    058        public int getItemCount();
    059
    060        /**
    061         * Returns the value with the specified index.
    062         *
    063         * @param index  the item index (in the range <code>0</code> to
    064         *     <code>getItemCount() - 1</code>).
    065         *
    066         * @return The value (possibly <code>null</code>).
    067         *
    068         * @throws IndexOutOfBoundsException if <code>index</code> is not in the
    069         *     specified range.
    070         */
    071        public Number getValue(int index);
    072
    073    }